# Uses of Class
org.apache.lucene.sandbox.search.PhraseWildcardQuery.PhraseTerm

Packages that use PhraseWildcardQuery.PhraseTerm
Package
Description
org.apache.lucene.sandbox.search
This package contains a flexible graph-based proximity query, TermAutomatonQuery, and geospatial queries.

- ## Uses of PhraseWildcardQuery.PhraseTerm in org.apache.lucene.sandbox.search

  Subclasses of PhraseWildcardQuery.PhraseTerm in org.apache.lucene.sandbox.search
  Modifier and Type
  Class
  Description
  `protected static class`
  `PhraseWildcardQuery.MultiTerm`
  Phrase term with expansions.
  `protected static class`
  `PhraseWildcardQuery.SingleTerm`
  Phrase term with no expansion.
  Fields in org.apache.lucene.sandbox.search with type parameters of type PhraseWildcardQuery.PhraseTerm
  Modifier and Type
  Field
  Description
  `protected final List<PhraseWildcardQuery.PhraseTerm>`
  PhraseWildcardQuery.Builder.`phraseTerms`
  `protected final List<PhraseWildcardQuery.PhraseTerm>`
  PhraseWildcardQuery.`phraseTerms`
  Constructor parameters in org.apache.lucene.sandbox.search with type arguments of type PhraseWildcardQuery.PhraseTerm
  Modifier
  Constructor
  Description
  `protected`
  `PhraseWildcardQuery(String field, List<PhraseWildcardQuery.PhraseTerm> phraseTerms, int slop, int maxMultiTermExpansions, boolean segmentOptimizationEnabled)`